#ifndef _CBM1581_FS_I
#define _CBM1581_FS_I

#ifndef _LINUX_PIPE_FS_I_H
#include <linux/pipe_fs_i.h>
#endif

#include <linux/fs.h>

/*
 * Commodore 1581 file system inode data in memory
 */

/* This must fit within union u in struct inode */
struct cbm_inode_info {
	int i_start;				/* first sector of file or -1 for empty file */
	unsigned char i_type;		/* file type & attribute byte */
	unsigned long i_rec_size;	/* REL file record size */
	int i_side_sec;				/* first side sector sector number (REL only) */

	int i_busy;					/* file is either deleted but still open, or
			   						inconsistent (mkdir) */
	int i_text;					/* file will be converted from PETSCII */
	ino_t i_parent;				/* parent directory inode (directory only) */
	/*unsigned long i_header;*/		/* sector of file's directory header
									needed for finding correct BAM to write to */
};

#endif
