#ifndef _CBM_FS_SB
#define _CBM_FS_SB

/*
 * CBM file system in-core superblock data
 */

/* This must fit within union u in struct super_block */
struct cbm_sb_info {
	unsigned int fs_type;			/* 1541 or 1581 */
	unsigned long super_start;		/* disk header (& 1541 BAM) loc. (CBM block) */
	unsigned int super_length;		/* disk header + BAM size (CBM blocks) */
	unsigned long root_start;		/* root directory CBM block */
	unsigned long root_high;		/* highest-numbered standard root directory
									   CBM block */
	unsigned long blocks;			/* number of blocks in disk */

	uid_t fs_uid;
	gid_t fs_gid;
	int quiet;		  		/* fake successful chmods and chowns */
	int fastsize;		  	/* return file sizes rounded up to blocks */
	int nous;				/* don't change spaces in file names to '_' */
	unsigned short fs_umask;
	unsigned char name_check;	/* r = relaxed, n = normal, s = strict */
	unsigned char conversion;	/* b = binary, t = text, a = auto */
	int bam_lock;				/* 1 when BAM is being updated */
	struct wait_queue *bam_wait;	/* semaphore to wait for BAM lock */
	long prev_free;				/* previously returned free block number */
	long free_blocks;			/* -1 if undefined */
};

#endif
