/*
 * fgetmedia.c	- Get the disk type on a cbm file system
 *
 * Written 1995 by Daniel Fandrich <dan@fch.wimsey.bc.ca>
 *
 * This file can be redistributed under the terms of the GNU Library General
 * Public License
 */

/*
 * History:
 * 95-04-07	- Written
 */

#include <errno.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>

#include <linux/cbm_fs.h>

/*#include "e2p.h"*/

int fgetmedia (const char * name, int * media)
{
	int fd;
	int r;
	unsigned long get_media;

	fd = open (name, O_RDONLY);
	if (fd == -1)
		return - 1;
	r = ioctl (fd, CBM_IOC_GETMEDIA, &get_media);
	close (fd);
	*media = get_media;
	return r;
}
