/*
 * pt.c			- Print file types on a cbm file system
 *
 * Written 1995 by Dan Fandrich <dan@fch.wimsey.bc.ca>
 *
 * This file can be redistributed under the terms of the GNU Library General
 * Public License
 */

/*
 * History:
 * 94-04-07	- Creation
 */

#include <stdio.h>
#include <linux/cbm_fs.h>

/*#include "e2p.h"*/

/* File types as found on disk (bitwise AND code with CBM_TYPE) */
static char *CBMFileTypes[] = {
/* 0 */ "DEL",
/* 1 */ "SEQ",
/* 2 */ "PRG",
/* 3 */ "USR",
/* 4 */ "REL",
/* 5 */ "CBM",  /* 1581 file type */
/* 6 */ "DJJ",  /* C65 file type */
/* 7 */ "FAB"   /* C65 file type */
};

void print_types (FILE * f, int type)
{
	fprintf(f, CBMFileTypes[type & CBM_TYPE_MASK]);
}

void print_attributes (FILE * f, int type)
{
	if (!(type & CBM_CLOSED)) fprintf(f, "*");
	if (type & CBM_LOCKED) fprintf(f, ">");
}
